Categories:
  - Multimedia
  - Reading
License: Apache-2.0
AuthorName: Javier Tomás
WebSite: https://tachiyomi.org
SourceCode: https://github.com/tachiyomiorg/tachiyomi
IssueTracker: https://github.com/tachiyomiorg/tachiyomi/issues
Translation: https://hosted.weblate.org/engage/tachiyomi/?
Changelog: https://github.com/tachiyomiorg/tachiyomi/releases

AutoName: Tachiyomi
Description: |-
    Tachiyomi is a free and open source manga reader for Android.

    Features include:

    * Online reading from sources such as MangaDex, MangaSee, Mangakakalot, and more
    * Local reading of downloaded manga
    * A configurable reader with multiple viewers, reading directions and other settings.
    * MyAnimeList, AniList, Kitsu, Shikimori, and Bangumi support
    * Categories to organize your library
    * Light and dark themes
    * Schedule updating your library for new chapters
    * Create backups locally to read offline or to your desired cloud service

RepoType: git
Repo: https://github.com/tachiyomiorg/tachiyomi.git

Builds:
  - versionName: 0.1.2
    versionCode: 3
    commit: v0.1.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.1.3
    versionCode: 4
    commit: v0.1.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.1.4
    versionCode: 5
    commit: v0.1.4
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.0
    versionCode: 6
    commit: v0.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.1
    versionCode: 7
    commit: v0.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.2
    versionCode: 8
    disable: gradle issue
    commit: v0.2.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.2-1
    versionCode: 9
    commit: v0.2.2-1
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.3
    versionCode: 10
    commit: v0.2.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.3.0
    versionCode: 11
    disable: play-services
    commit: v0.3.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.3.1
    versionCode: 12
    disable: play-services
    commit: v0.3.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.3.2
    versionCode: 13
    commit: 2856d9d6a377015d53e01e419b19b79dd9532ba8
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.4.0
    versionCode: 16
    commit: v0.4.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.4.1
    versionCode: 17
    commit: v0.4.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.4.2
    versionCode: 18
    disable: pre-release constraint layout
    commit: v0.4.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.5.0
    versionCode: 20
    disable: pre-release constraint layout
    commit: v0.5.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.5.1
    versionCode: 21
    commit: v0.5.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.5.2
    versionCode: 22
    commit: v0.5.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.1
    versionCode: 24
    commit: v0.6.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.2
    versionCode: 25
    commit: v0.6.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.3
    versionCode: 26
    commit: v0.6.3
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.4
    versionCode: 27
    commit: v0.6.4
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.5
    versionCode: 28
    commit: v0.6.5
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.6
    versionCode: 29
    commit: v0.6.6
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.7
    versionCode: 30
    commit: v0.6.7
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.6.8
    versionCode: 31
    commit: v0.6.8
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.7.0
    versionCode: 33
    commit: v0.7.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.7.1
    versionCode: 34
    commit: v0.7.1
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.7.2
    versionCode: 35
    commit: v0.7.2
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.7.3
    versionCode: 36
    commit: v0.7.3
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.7.4
    versionCode: 37
    commit: v0.7.4
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.8.0
    versionCode: 38
    commit: v0.8.0
    subdir: app
    gradle:
      - fdroid
    prebuild: sed -i -e '/play-services/d' build.gradle

  - versionName: 0.8.1
    versionCode: 39
    disable: unknown maven repo 'https://dl.bintray.com/inorichi/maven'
    commit: v0.8.1
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' ../build.gradle build.gradle

  - versionName: 0.8.2
    versionCode: 40
    commit: v0.8.2
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' ../build.gradle build.gradle

  - versionName: 0.8.4
    versionCode: 41
    commit: v0.8.4
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' ../build.gradle build.gradle

  - versionName: 0.8.5
    versionCode: 42
    commit: v0.8.5
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' ../build.gradle build.gradle

  - versionName: 0.9.2
    versionCode: 45
    disable: non-foss oss-licenses
    commit: v0.9.2
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' -e '/oss-licenses/d' ../build.gradle.kts build.gradle

  - versionName: 0.10.2
    versionCode: 48
    commit: v0.10.2
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' -e '/oss-licenses/d' ../build.gradle.kts build.gradle

  - versionName: 0.10.3
    versionCode: 49
    commit: v0.10.3
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' -e '/oss-licenses/d' ../build.gradle.kts build.gradle

  - versionName: 0.10.4
    versionCode: 50
    commit: v0.10.4
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' -e '/oss-licenses/d' ../build.gradle.kts build.gradle

  - versionName: 0.10.5
    versionCode: 51
    commit: v0.10.5
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' -e '/oss-licenses/d' ../build.gradle.kts build.gradle

  - versionName: 0.10.7
    versionCode: 53
    commit: v0.10.7
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle
      - sed -i -e '/google-services/d' -e '/oss-licenses/d' ../build.gradle.kts build.gradle
    ndk: r21d

  - versionName: 0.10.9
    versionCode: 56
    commit: v0.10.9
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22

  - versionName: 0.10.10
    versionCode: 57
    commit: v0.10.10
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.10.11
    versionCode: 58
    commit: v0.10.11
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.10.12
    versionCode: 59
    commit: v0.10.12
    subdir: app
    gradle:
      - fdroid
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.11.1
    versionCode: 63
    commit: v0.11.1
    subdir: app
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.12.1
    versionCode: 67
    commit: 85791a9336b894b973ef65e77ec1aa38235ffac8
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.12.2
    versionCode: 68
    commit: 3eec20716644f1d69f13123fb435c6f9d6eeff16
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.12.3
    versionCode: 69
    commit: e863e8c64b7b815cde53c28e17bd143f9eda9072
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.13.0
    versionCode: 73
    commit: a6ac2fbc9a596efd4836b29e8856065722d6e101
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.13.1
    versionCode: 74
    commit: d6386cef412624fdabf2600d364404ef6374680a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.13.2
    versionCode: 78
    commit: 2b38b4e0221d19259b50448decc3b80e2538f82b
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.13.3
    versionCode: 79
    commit: 28522f4f9044af2a0b66b53c8f66723dc95e7555
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.13.4
    versionCode: 80
    commit: 42eaaa497fd51850ccf1fd2d9433969b5ef1cfed
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

  - versionName: 0.13.5
    versionCode: 81
    commit: 26ddc6e3aa1a48f091fedc0cac32dbca6c1834ff
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - standard
    prebuild:
      - sed -i -e '/play-services/d; /firebase/d; /isEnable/d' build.gradle.kts
      - sed -i -e '/google-services/d' ../build.gradle.kts build.gradle.kts
    ndk: r22b

MaintainerNotes: Offers both SFW and NSFW addons, but clearly marks NSFW addons as
    18+. So we don't need to mark it NSFW because the app already does that for such
    content itself.

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 0.13.5
CurrentVersionCode: 81
